diff --git a/test/evergreen/compatibility_test_for_releases.sh b/test/evergreen/compatibility_test_for_releases.sh
index cc0129a52..faa6d6cf5 100755
--- a/test/evergreen/compatibility_test_for_releases.sh
+++ b/test/evergreen/compatibility_test_for_releases.sh
@@ -439,7 +439,7 @@ upgrade_downgrade()
     # Loop twice, that is, run format twice using each branch.
     top="$PWD"
     for am in $3; do
-        for reps in {1..2}; do
+        for reps in {1..10000}; do
             echo "$1 format running on $2 access method $am..."
             cd "$top/$format_dir_branch1"
             flags="-1Rq $(bflag $1)"
@@ -530,7 +530,7 @@ upgrade_to_latest=false
 #
 # The 2 arrays should be adjusted over time when newer branches are created,
 # or older branches are EOL.
-newer_release_branches=(develop mongodb-5.0 mongodb-4.4 mongodb-4.2)
+newer_release_branches=(develop mongodb-5.0)
 older_release_branches=(mongodb-4.2 mongodb-4.0 mongodb-3.6)
 
 # This array is used to generate compatible configuration files between releases, because
@@ -634,188 +634,188 @@ case $1 in
 esac
 
 # Create a directory in which to do the work.
-top="test-compatibility-run"
-rm -rf "$top" && mkdir "$top"
+top="/data/mci/artifacts-0cbb7b-compatibility-tests_compatibility-test-for-newer-releases/test-compatibility-run"
+# rm -rf "$top" && mkdir "$top"
 cd "$top"
 
-if [ "$upgrade_to_latest" = true ]; then
-    test_root=$(pwd)
-    test_data_root="$test_root/mongo-tests"
-    test_data="$test_root/mongo-tests/WT-8395"
-
-    for b in ${upgrade_to_latest_upgrade_downgrade_release_branches[@]}; do
-        # prepare test data and test upgrade to the branch b.
-        (prepare_test_data_wt_8395) && \
-        (build_branch $b) && \
-        (test_upgrade_to_branch $b $test_data)
-
-        # cleanup.
-        cd $test_root
-        rm -rf $test_data_root
-    done
-fi
-
-if [ "$two_versions" = true ]; then
-    # Check if the 2 given versions support test checkpoint with recovery
-    rtn=$(is_test_checkpoint_recovery_supported $v1)
-    if [ $rtn == "no" ]; then
-        echo -e "\n\"$v1\" does not support test checkpoint with recovery, exiting ...\n"
-        exit 1
-    fi
-
-    rtn=$(is_test_checkpoint_recovery_supported $v2)
-    if [ $rtn == "no" ]; then
-        echo -e "\n\"$v2\" does not support test checkpoint with recovery, exiting ...\n"
-        exit 1
-    fi
-
-    # Build the branches
-    (build_branch $v1)
-    (build_branch $v2)
-
-    # Run test for both branches to generate data files
-    (run_test_checkpoint $v1 "row")
-    (run_test_checkpoint $v2 "row")
-
-    # Use one version binary to verify data files generated by the other version
-    (verify_test_checkpoint "$v1" "$v2" "row")
-    (verify_test_checkpoint "$v2" "$v1" "row")
-
-    exit 0
-fi
-
-if [ "$patch_version" = true ]; then
-    for b in ${patch_version_upgrade_downgrade_release_branches[@]}; do
-        # Build the tip of the release branch and run test to generate data files
-        (build_branch $b)
-        (run_test_checkpoint "$b" "row")
-
-        # Pick a patch version from the list of patch versions for the release branch
-        cd $b; pv=$(pick_a_version $b); cd ..
-
-        (build_branch $pv)
-        rtn=$(is_test_checkpoint_recovery_supported $pv)
-        patch_fix_included=$(git log --oneline --grep=WT-8708 -b "$pv" --)
+# if [ "$upgrade_to_latest" = true ]; then
+#     test_root=$(pwd)
+#     test_data_root="$test_root/mongo-tests"
+#     test_data="$test_root/mongo-tests/WT-8395"
+
+#     for b in ${upgrade_to_latest_upgrade_downgrade_release_branches[@]}; do
+#         # prepare test data and test upgrade to the branch b.
+#         (prepare_test_data_wt_8395) && \
+#         (build_branch $b) && \
+#         (test_upgrade_to_branch $b $test_data)
+
+#         # cleanup.
+#         cd $test_root
+#         rm -rf $test_data_root
+#     done
+# fi
+
+# if [ "$two_versions" = true ]; then
+#     # Check if the 2 given versions support test checkpoint with recovery
+#     rtn=$(is_test_checkpoint_recovery_supported $v1)
+#     if [ $rtn == "no" ]; then
+#         echo -e "\n\"$v1\" does not support test checkpoint with recovery, exiting ...\n"
+#         exit 1
+#     fi
+
+#     rtn=$(is_test_checkpoint_recovery_supported $v2)
+#     if [ $rtn == "no" ]; then
+#         echo -e "\n\"$v2\" does not support test checkpoint with recovery, exiting ...\n"
+#         exit 1
+#     fi
+
+#     # Build the branches
+#     (build_branch $v1)
+#     (build_branch $v2)
+
+#     # Run test for both branches to generate data files
+#     (run_test_checkpoint $v1 "row")
+#     (run_test_checkpoint $v2 "row")
+
+#     # Use one version binary to verify data files generated by the other version
+#     (verify_test_checkpoint "$v1" "$v2" "row")
+#     (verify_test_checkpoint "$v2" "$v1" "row")
+
+#     exit 0
+# fi
+
+# if [ "$patch_version" = true ]; then
+#     for b in ${patch_version_upgrade_downgrade_release_branches[@]}; do
+#         # Build the tip of the release branch and run test to generate data files
+#         (build_branch $b)
+#         (run_test_checkpoint "$b" "row")
+
+#         # Pick a patch version from the list of patch versions for the release branch
+#         cd $b; pv=$(pick_a_version $b); cd ..
+
+#         (build_branch $pv)
+#         rtn=$(is_test_checkpoint_recovery_supported $pv)
+#         patch_fix_included=$(git log --oneline --grep=WT-8708 -b "$pv" --)
  
-        # Only run verify if the picked version supports test checkpoint recovery
-        if [ $rtn == "no" ]; then
-            echo -e "\n\"$pv\" does not support test checkpoint with recovery, skipping ...\n"
-        # Apply patch fix from WT-8708 to already released compatible versions to avoid test/checkpoint setting commit timestamp less than stable timestamp
-        elif [ $rtn == "yes" ] && [ ! $patch_fix_included ]; then
-            cd $pv;
-
-            git format-patch -1 d4b0ad6cacb874fdc20bcc76311d789dd5a01441;
-            patch -p1 < 0001-WT-8708-Fix-timestamp-usage-error-in-test-checkpoint.patch;
-
-            cd ..;
-            (build_branch $pv)
-
-            (run_test_checkpoint "$pv" "row")
-            # Use one version binary to verify data files generated by the other version
-            (verify_test_checkpoint "$b" "$pv" "row")
-            (verify_test_checkpoint "$pv" "$b" "row")
-        fi
-    done
-
-    exit 0
-fi
-
-# Build the branches.
-if [ "$newer" = true ]; then
-    for b in ${newer_release_branches[@]}; do
-        (build_branch $b)
-    done
-fi
-
-if [ "$older" = true ]; then
-    for b in ${older_release_branches[@]}; do
-        (build_branch $b)
-    done
-fi
-
-# Get the names of the last two WiredTiger releases, wt1 is the most recent release, wt2 is the
-# release before that. Minor trickiness, we depend on the "develop" directory already existing
-# so we have a source in which to do git commands.
-if [ "${wt_standalone}" = true ]; then
-    (build_branch develop)
-    cd develop; wt1=$(get_prev_version 1); cd ..
-    (build_branch "$wt1")
-    cd develop; wt2=$(get_prev_version 2); cd ..
-    (build_branch "$wt2")
-fi
-
-if [ "$newer" = true ]; then
-    create_configs_for_newer_release_branches
-else
-    create_default_configs
-fi
-
-# Run format in each branch for supported access methods.
-if [ "$newer" = true ]; then
-    for b in ${newer_release_branches[@]}; do
-        (run_format $b "row")
-    done
-    for b in ${test_checkpoint_release_branches[@]}; do
-        (run_test_checkpoint $b "row")
-    done
-fi
-
-if [ "$older" = true ]; then
-    for b in ${older_release_branches[@]}; do
-        (run_format $b "fix row var")
-    done
-fi
-
-if [ "${wt_standalone}" = true ]; then
-    (run_tests "$wt1" "row")
-    (run_format "$wt2" "row")
-fi
-
-# Verify backward compatibility for supported access methods.
-#
-# The branch array includes a list of branches in newer-to-older order.
-# For backport compatibility, the binary of the newer branch should
-# be used to verify the data files generated by the older branch.
-# e.g. (verify_branches mongodb-4.4 mongodb-4.2 "row")
-if [ "$newer" = true ]; then
-    for i in ${!newer_release_branches[@]}; do
-        [[ $((i+1)) < ${#newer_release_branches[@]} ]] && \
-        (verify_test_format ${newer_release_branches[$i]} ${newer_release_branches[$((i+1))]} "row" true)
-    done
-    for i in ${!test_checkpoint_release_branches[@]}; do
-        [[ $((i+1)) < ${#test_checkpoint_release_branches[@]} ]] && \
-        (verify_test_checkpoint ${test_checkpoint_release_branches[$i]} ${test_checkpoint_release_branches[$((i+1))]} "row")
-    done
-fi
-
-if [ "$older" = true ]; then
-    for i in ${!older_release_branches[@]}; do
-        [[ $((i+1)) < ${#older_release_branches[@]} ]] && \
-        (verify_test_format ${older_release_branches[$i]} ${older_release_branches[$((i+1))]} "fix row var" true)
-    done
-fi
-
-if [ "${wt_standalone}" = true ]; then
-    (verify_branches develop "$wt1" "row" true)
-    (verify_test_format "$wt1" "$wt2" "row" true)
-fi
-
-# Verify forward compatibility for supported access methods.
-#
-# The branch array includes a list of branches in newer-to-older order.
-# For forward compatibility, the binary of the older branch should
-# be used to verify the data files generated by the newer branch.
-# e.g. (verify_branches mongodb-4.2 mongodb-4.4 "row")
-if [ "$newer" = true ]; then
-    for i in ${!newer_release_branches[@]}; do
-        [[ $((i+1)) < ${#newer_release_branches[@]} ]] && \
-        (verify_test_format ${newer_release_branches[$((i+1))]} ${newer_release_branches[$i]} "row" false)
-    done
-    for i in ${!test_checkpoint_release_branches[@]}; do
-        [[ $((i+1)) < ${#test_checkpoint_release_branches[@]} ]] && \
-        (verify_test_checkpoint ${test_checkpoint_release_branches[$((i+1))]} ${test_checkpoint_release_branches[$i]} "row")
-    done
-fi
+#         # Only run verify if the picked version supports test checkpoint recovery
+#         if [ $rtn == "no" ]; then
+#             echo -e "\n\"$pv\" does not support test checkpoint with recovery, skipping ...\n"
+#         # Apply patch fix from WT-8708 to already released compatible versions to avoid test/checkpoint setting commit timestamp less than stable timestamp
+#         elif [ $rtn == "yes" ] && [ ! $patch_fix_included ]; then
+#             cd $pv;
+
+#             git format-patch -1 d4b0ad6cacb874fdc20bcc76311d789dd5a01441;
+#             patch -p1 < 0001-WT-8708-Fix-timestamp-usage-error-in-test-checkpoint.patch;
+
+#             cd ..;
+#             (build_branch $pv)
+
+#             (run_test_checkpoint "$pv" "row")
+#             # Use one version binary to verify data files generated by the other version
+#             (verify_test_checkpoint "$b" "$pv" "row")
+#             (verify_test_checkpoint "$pv" "$b" "row")
+#         fi
+#     done
+
+#     exit 0
+# fi
+
+# # Build the branches.
+# if [ "$newer" = true ]; then
+#     for b in ${newer_release_branches[@]}; do
+#         (build_branch $b)
+#     done
+# fi
+
+# if [ "$older" = true ]; then
+#     for b in ${older_release_branches[@]}; do
+#         (build_branch $b)
+#     done
+# fi
+
+# # Get the names of the last two WiredTiger releases, wt1 is the most recent release, wt2 is the
+# # release before that. Minor trickiness, we depend on the "develop" directory already existing
+# # so we have a source in which to do git commands.
+# if [ "${wt_standalone}" = true ]; then
+#     (build_branch develop)
+#     cd develop; wt1=$(get_prev_version 1); cd ..
+#     (build_branch "$wt1")
+#     cd develop; wt2=$(get_prev_version 2); cd ..
+#     (build_branch "$wt2")
+# fi
+
+# if [ "$newer" = true ]; then
+#     create_configs_for_newer_release_branches
+# else
+#     create_default_configs
+# fi
+
+# # Run format in each branch for supported access methods.
+# if [ "$newer" = true ]; then
+#     for b in ${newer_release_branches[@]}; do
+#         (run_format $b "row")
+#     done
+#     for b in ${test_checkpoint_release_branches[@]}; do
+#         (run_test_checkpoint $b "row")
+#     done
+# fi
+
+# if [ "$older" = true ]; then
+#     for b in ${older_release_branches[@]}; do
+#         (run_format $b "fix row var")
+#     done
+# fi
+
+# if [ "${wt_standalone}" = true ]; then
+#     (run_tests "$wt1" "row")
+#     (run_format "$wt2" "row")
+# fi
+
+# # Verify backward compatibility for supported access methods.
+# #
+# # The branch array includes a list of branches in newer-to-older order.
+# # For backport compatibility, the binary of the newer branch should
+# # be used to verify the data files generated by the older branch.
+# # e.g. (verify_branches mongodb-4.4 mongodb-4.2 "row")
+# if [ "$newer" = true ]; then
+#     for i in ${!newer_release_branches[@]}; do
+#         [[ $((i+1)) < ${#newer_release_branches[@]} ]] && \
+#         (verify_test_format ${newer_release_branches[$i]} ${newer_release_branches[$((i+1))]} "row" true)
+#     done
+#     for i in ${!test_checkpoint_release_branches[@]}; do
+#         [[ $((i+1)) < ${#test_checkpoint_release_branches[@]} ]] && \
+#         (verify_test_checkpoint ${test_checkpoint_release_branches[$i]} ${test_checkpoint_release_branches[$((i+1))]} "row")
+#     done
+# fi
+
+# if [ "$older" = true ]; then
+#     for i in ${!older_release_branches[@]}; do
+#         [[ $((i+1)) < ${#older_release_branches[@]} ]] && \
+#         (verify_test_format ${older_release_branches[$i]} ${older_release_branches[$((i+1))]} "fix row var" true)
+#     done
+# fi
+
+# if [ "${wt_standalone}" = true ]; then
+#     (verify_branches develop "$wt1" "row" true)
+#     (verify_test_format "$wt1" "$wt2" "row" true)
+# fi
+
+# # Verify forward compatibility for supported access methods.
+# #
+# # The branch array includes a list of branches in newer-to-older order.
+# # For forward compatibility, the binary of the older branch should
+# # be used to verify the data files generated by the newer branch.
+# # e.g. (verify_branches mongodb-4.2 mongodb-4.4 "row")
+# if [ "$newer" = true ]; then
+#     for i in ${!newer_release_branches[@]}; do
+#         [[ $((i+1)) < ${#newer_release_branches[@]} ]] && \
+#         (verify_test_format ${newer_release_branches[$((i+1))]} ${newer_release_branches[$i]} "row" false)
+#     done
+#     for i in ${!test_checkpoint_release_branches[@]}; do
+#         [[ $((i+1)) < ${#test_checkpoint_release_branches[@]} ]] && \
+#         (verify_test_checkpoint ${test_checkpoint_release_branches[$((i+1))]} ${test_checkpoint_release_branches[$i]} "row")
+#     done
+# fi
 
 # Upgrade/downgrade testing for supported access methods.
 if [ "$newer" = true ]; then